; Snail2 (c) 2014, [hang-on]
; This code is a mess. Sorry. Contact me on the forum, and I'll 
; work out a more nice and tidy version on request :)

; NTSC-version or PAL-version?
;.define PAL_MODE

            ; 48 kb = no mapping
.memorymap  ; trying to have one big slot
defaultslot 0
slotsize $BFFD ; almost 48 kb (49149 bytes)
slot 0 $0000
slotsize $1    ; must have these two micro slots so that the slot
slot 1 $BFFE   ; for ram will still be slot 3 (as assumed by
slot 2 $BFFF   ; libraries included)
slotsize $2000
slot 3 $C000
.endme

; Map: one big bank to fit into slot 0!

.rombankmap
bankstotal 1
banksize $BFFD
banks 1
.endro

.include "lib\bluelib.inc"
.include "lib\psglib.inc"

.define DSPOFF     %10100000       ; display off
.define DSPON      %11100000       ; display on

; All variables default to 0, because ram is cleared.
.ramsection "Variables" slot 3
snail_x db
snail_y db
frame_counter dw
snail_counter db
snail_state db
.ends

.SDSCTAG 1.2, "Snail II", "Beyond the maze (NTSC)", "[hang-on]"


.bank 0 slot 0
.org 0
.section "Startup" force
             di                    ; disable interrupts
             im    1               ; interrupt mode 1
             ld    sp, $dff0       ; stack pointer near end of RAM
             jp    init
.ends


.org    $0080 ; Or any other location within $0000-$03FF

.section "init mapper" force
init:
         ; This maps the first 48K of ROM to $0000-$BFFF
         ld      de, $FFFC
         ld      hl, init_tab
         ld      bc, $0004
         ldir

         jp      start_demo

init_tab: ; Table must exist within first 1K of ROM
         .db     $00, $00, $01, $02
.ends


.orga $0038
.section "Maskable interrupt handler" force
             ex    af, af'         ; save AF in their shadow register

             in    a, VDPCOM       ; VDP status / satisfy interrupt

             exx                   ; save the rest of the registers

             call  hdlFrame        ; bluelib frame handler
             call  PSGFrame        ; psglib housekeeping
             call  PSGSFXFrame     ; process next SFX frame

             call  HandleFrameInterrupt

             exx                   ; restore the registers
             ex    af, af'         ; also restore AF

             ei                    ; enable interrupts

             reti                  ; return from interrupt
.ends

.orga $0066
.section "Non-Maskable interrupt handler (pause)" force

             retn                  ; disable pause button
.ends

.section "Start demo" free
start_demo:
             ld    hl, VDP_register_setup
             call  initVDP

             call  clearRam

             call  PSGInit

             ld a,:background_palette
             ld ($ffff),a


             ld    hl, $0000 | $c000 ; color ram command
             call  LoadCommandWord
             ld    hl, background_palette
             ld    bc, 5 ; amount of colors
             call  WriteToVRAM

             ld    hl, $2000 | $4000
             call  LoadCommandWord
             ld    hl, background_tiles
             ld    bc, 232 * 32; amount of tiles
             call  WriteToVRAM

             ld    hl, NAME_TABLE | $4000
             call  LoadCommandWord
             ld    hl, background_tilemap
             ld    bc, 32*24*2 ; amount of bytes
             call  WriteToVRAM

             ld    hl, $0000 | $4000
             call  LoadCommandWord
             ld    hl, snail_tiles
             ld    bc, 102 * 32; amount of tiles
             call  WriteToVRAM

             ld    hl, $0000 | $c010 ; color ram command
             call  LoadCommandWord
             ld    hl, snail_palette
             ld    bc, 7 ; amount of colors
             call  WriteToVRAM


             ; the sleeping snail start position
             ld    a, 168
             ld    (snail_x), a
             ld    a, 132
             ld    (snail_y), a

             ; Put a sleeping snail on the screen
             ld    b, 18 ; amount of tiles in sprite block
             ld    hl, sleeping_snail_data
             ld    ix, snail_x ; pointer to master x,y variables
             call  UpdateSpriteBlock

             ld     a, DSPON       ; get display constant
             call   toglDSP        ; turn display on using bluelib

             ei                    ; enable interrupts

             ld    hl, snail_tune
             call  PSGPlay

             jp     main_loop      ; jump to main game loop


; Sprite block data
; format cc xx yy
; cc = charcode, xx = x offset, yy = y offset

sleeping_snail_data:
; amount of tiles = 18
.db 31 8 0
.db 32 16 0
.db 33 24 0
.db 34 32 0

.db 48 8 8
.db 49 16 8
.db 50 24 8
.db 51 32 8

.db 64 0 16
.db 65 8 16
.db 66 16 16
.db 67 24 16
.db 68 32 16

.db 81 0 24
.db 82 8 24
.db 83 16 24
.db 84 24 24
.db 85 32 24

walking_snail_data_1:
; amount of tiles = 30
.db 1 0 0
.db 2 8 0
.db 3 16 0

.db 18 0 8
.db 19 8 8
.db 20 16 8
.db 21 24 8
.db 22 32 8

.db 35 0 16
.db 36 8 16
.db 37 16 16
.db 38 24 16
.db 39 32 16

.db 52 0 24
.db 53 8 24
.db 54 16 24
.db 55 24 24
.db 56 32 24
.db 57 40 24

.db 69 0 32
.db 70 8 32
.db 71 16 32
.db 72 24 32
.db 73 32 32
.db 74 40 32

.db 86 0 40
.db 87 8 40
.db 88 16 40
.db 89 24 40
.db 90 32 40

walking_snail_data_2:
.db 7 0 0
.db 8 8 0
.db 9 16 0

.db 24 0 8
.db 25 8 8
.db 26 16 8
.db 21 24 8
.db 22 32 8

.db 41 0 16
.db 42 8 16
.db 43 16 16
.db 38 24 16
.db 39 32 16

.db 52 0 24
.db 53 8 24
.db 54 16 24
.db 55 24 24
.db 56 32 24
.db 57 40 24

.db 69 0 32
.db 70 8 32
.db 71 16 32
.db 72 24 32
.db 73 32 32
.db 74 40 32

.db 86 0 40
.db 87 8 40
.db 88 16 40
.db 89 24 40
.db 90 32 40




VDP_register_setup:
    .db %00000110                  ;
                                   ; b4 = line interrupt (disabled)
                                   ; b5 = blank left column (disabled)
                                   ; b6 = dont scroll top two rows (disabled)

    .db %10100000                  ; b0 = zoomed sprites! (disabled)
                                   ; b5 = frame interrupt (enabled)
                                   ; b6 = turn display off
    .db $F7                        ; name table at $1800
    .db $FF                        ; always $ff
    .db $FF                        ; alwaus $ff
    .db $FF                        ; sprite attrib. table at $3F00
    .db $FB                        ; sprite tiles in first 8K of VRAM
    .db %11110001                  ; border color (color 1 in bank 2)
    .db $00                        ; horiz. scroll = 0
    .db $00                        ; vert. scroll = 0
    .db $FF                        ; disable line counter

.ends

.section "Main loop" free
main_loop:



             jp    main_loop

.ends

.section "Misc. functions" free
HandleFrameInterrupt:
             ; make a 16-bit frame counter
             ld    ix, frame_counter
             ld    h, (ix + 1)
             ld    l, (ix + 0)
             inc   hl
             ld    (ix + 1), h
             ld    (ix + 0), l

             ld     a, (snail_state)
             cp     1
             jp     nz, +

             ld    hl, snail_counter
             inc   (hl)
             ld    a, (hl)
             cp    29
             call  z, SetWalk1
             cp    58
             call  z, SetWalk2





+:           ld    ix, frame_counter
             ld    a, (ix + 1)
             cp    3
             jp    nz, +

             ld    a, (ix + 0)
             cp    $e0
             jp    nz, +

             ld    a, 1
             ld    (snail_state), a

             ld    a, 168
             ld    (snail_x), a
             ld    a, 120
             ld    (snail_y), a



+:           ret

SetWalk1:
           ; Put a walking snail on the screen
             ld   hl, snail_x
             dec  (hl)

             ld    b, 30 ; amount of tiles in sprite block
             ld    hl, walking_snail_data_1
             ld    ix, snail_x ; pointer to master x,y variables
             call  UpdateSpriteBlock
             ret

SetWalk2:
           ; Put a walking snail on the screen
             ld   hl, snail_x
             dec  (hl)


             ld    b, 30 ; amount of tiles in sprite block
             ld    hl, walking_snail_data_2
             ld    ix, snail_x ; pointer to master x,y variables
             call  UpdateSpriteBlock
             xor   a
             ld    (snail_counter), a
             ret



UpdateSpriteBlock:
-:           ld    a, (hl)
             ld    c, a

             inc   hl
             ld    a, (hl)
             add   a, (ix + 0) ; master x pos
             ld    d, a

             inc   hl
             ld    a, (hl)
             add   a, (ix + 1) ; master y pos
             ld    e, a

             inc   hl

             push  hl
             push  bc
             call  goSprite
             pop   bc
             pop   hl
             djnz  -

             ret


; ====================================================================
; Output
; --------------------------------------------------------------------
LoadCommandWord:
             push  af
             ld    a, l
             out   (VDPCOM), a
             ld    a, h
             out   (VDPCOM), a
             pop   af
             ret
; ====================================================================

; ====================================================================
; Write BC amount of bytes from data source pointed to be HL
; --------------------------------------------------------------------
WriteToVRAM:
             ld    a, (hl)
             out   (VDPDATA), a
             inc   hl
             dec   bc
             ld    a, c
             or    b
             jp    nz, WriteToVRAM
             ret

.ends


.section "PSG data" free
snail_tune:
.ifdef PAL_MODE
.incbin "snail-1-2-PAL.psg"
.else
.incbin "snail-1-1-NTSC.psg"
.endif
.ends

.section "Tile data" free

snail_palette:
.db $37 $02 $03 $00 $3F $0F $0B

snail_tiles:
; Extra blank tile (NOTE: This tile is not in the PSP tilesheet)
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $000
.db $00 $00 $00 $00 $1E $1E $00 $00 $27 $39 $1E $00 $67 $79 $1E $00 $80 $FF $7F $00 $80 $FF $7F $00 $98 $98 $67 $00 $98 $98 $67 $00
; Tile index $001
.db $00 $00 $00 $00 $7E $7E $00 $00 $9F $E1 $7E $00 $9F $E1 $7E $00 $03 $FC $FF $00 $03 $FC $FF $00 $60 $60 $9F $00 $60 $60 $9F $00
; Tile index $002
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $80 $80 $00 $00 $C0 $40 $80 $00 $C0 $40 $80 $00 $40 $40 $80 $00 $40 $40 $80 $00
; Tile index $003
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $004
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $005
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $006
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $07 $07 $00 $00 $09 $0E $07 $00 $19 $1E $07 $00
; Tile index $007
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $9F $9F $00 $00 $E7 $78 $9F $00 $E7 $78 $9F $00
; Tile index $008
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $80 $80 $00 $00 $C0 $40 $80 $00 $E0 $60 $80 $00
; Tile index $009
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $00A
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $00B
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $00C
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $00D
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $00E
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $00F
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $010
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $011
.db $80 $80 $7F $00 $80 $80 $7F $00 $7E $7F $01 $00 $02 $03 $01 $00 $01 $01 $00 $00 $01 $01 $00 $00 $01 $01 $00 $00 $01 $01 $00 $00
; Tile index $012
.db $01 $01 $FE $00 $01 $01 $FE $00 $7F $F9 $86 $00 $7F $C1 $BE $00 $3F $F1 $CE $00 $1E $F2 $EC $00 $1F $F1 $EE $00 $1F $F1 $EE $00
; Tile index $013
.db $80 $80 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $07 $07 $00 $00 $08 $0F $00 $00 $70 $7F $00 $00 $80 $FF $00 $00 $80 $FF $00 $00
; Tile index $014
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $FC $FC $00 $00 $02 $FE $00 $00 $03 $FF $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $015
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $80 $80 $00 $00 $C0 $C0 $00 $00
; Tile index $016
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $017
.db $20 $3F $1F $00 $20 $3F $1F $00 $26 $26 $19 $00 $26 $26 $19 $00 $20 $20 $1F $00 $20 $20 $1F $00 $1F $1F $00 $00 $00 $00 $00 $00
; Tile index $018
.db $00 $FF $FF $00 $00 $FF $FF $00 $18 $18 $E7 $00 $18 $18 $E7 $00 $00 $00 $FF $00 $00 $00 $FF $00 $9F $FE $61 $00 $9F $F0 $6F $00
; Tile index $019
.db $F0 $10 $E0 $00 $F0 $10 $E0 $00 $10 $10 $E0 $00 $17 $17 $E0 $00 $78 $7F $80 $00 $70 $7F $80 $00 $C0 $7F $80 $00 $C0 $7F $80 $00
; Tile index $01A
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $FC $FC $00 $00 $02 $FE $00 $00 $03 $FF $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $01B
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $80 $80 $00 $00 $C0 $C0 $00 $00
; Tile index $01C
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $01D
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $01E
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $01 $01 $00 $00 $02 $03 $00 $00 $04 $07 $00 $00 $08 $0F $00 $00 $10 $1F $00 $00
; Tile index $01F
.db $00 $00 $00 $00 $3F $3F $00 $00 $40 $7F $00 $00 $C0 $FF $00 $00 $03 $FC $00 $00 $1F $E0 $00 $00 $3F $C0 $00 $00 $3F $C0 $00 $00
; Tile index $020
.db $00 $00 $00 $00 $F0 $F0 $00 $00 $08 $F8 $00 $00 $0C $FC $00 $00 $FE $02 $00 $00 $FF $03 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $021
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $80 $80 $00 $00 $F0 $F0 $00 $00
; Tile index $022
.db $01 $01 $00 $00 $03 $03 $00 $00 $04 $07 $03 $00 $04 $07 $03 $00 $04 $07 $03 $00 $0C $0F $03 $00 $11 $1E $0F $00 $11 $1E $0F $00
; Tile index $023
.db $18 $E3 $FC $00 $18 $E3 $FC $00 $78 $83 $FC $00 $78 $83 $FC $00 $78 $83 $FC $00 $E0 $1F $E0 $00 $E0 $0F $F0 $00 $E0 $0F $F0 $00
; Tile index $024
.db $0F $F0 $00 $00 $0F $F0 $00 $00 $0F $F0 $00 $00 $1F $E0 $00 $00 $3E $C1 $00 $00 $3E $C1 $00 $00 $3E $C1 $00 $00 $3E $C1 $00 $00
; Tile index $025
.db $FF $00 $00 $00 $FF $00 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $1C $E3 $00 $00 $3C $C3 $00 $00 $7F $80 $00 $00
; Tile index $026
.db $E0 $20 $00 $00 $F0 $30 $00 $00 $F8 $08 $00 $00 $7C $84 $00 $00 $3E $C2 $00 $00 $1E $E2 $00 $00 $0E $F2 $00 $00 $0E $F2 $00 $00
; Tile index $027
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $028
.db $00 $00 $00 $00 $01 $01 $00 $00 $01 $01 $00 $00 $02 $03 $01 $00 $04 $07 $03 $00 $08 $0F $07 $00 $11 $1E $0F $00 $11 $1E $0F $00
; Tile index $029
.db $98 $F3 $6C $00 $18 $F3 $EC $00 $38 $E3 $DC $00 $78 $C3 $BC $00 $78 $83 $FC $00 $E0 $1F $E0 $00 $E0 $0F $F0 $00 $E0 $0F $F0 $00
; Tile index $02A
.db $0F $F0 $00 $00 $0F $F0 $00 $00 $0F $F0 $00 $00 $1F $E0 $00 $00 $3E $C1 $00 $00 $3E $C1 $00 $00 $3E $C1 $00 $00 $3E $C1 $00 $00
; Tile index $02B
.db $FF $00 $00 $00 $FF $00 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $1C $E3 $00 $00 $3C $C3 $00 $00 $7F $80 $00 $00
; Tile index $02C
.db $E0 $20 $00 $00 $F0 $30 $00 $00 $F8 $08 $00 $00 $7C $84 $00 $00 $3E $C2 $00 $00 $1E $E2 $00 $00 $0E $F2 $00 $00 $0E $F2 $00 $00
; Tile index $02D
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $02E
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $02F
.db $20 $3F $00 $00 $20 $3F $00 $00 $60 $7F $00 $00 $80 $FF $00 $00 $80 $FF $00 $00 $80 $FF $00 $00 $80 $FF $00 $00 $80 $FF $00 $00
; Tile index $030
.db $3C $C3 $00 $00 $78 $87 $00 $00 $F0 $0F $00 $00 $F0 $0F $00 $00 $F0 $0F $00 $00 $F1 $0E $00 $00 $F3 $0C $00 $00 $F3 $0C $00 $00
; Tile index $031
.db $03 $FC $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $F0 $0F $00 $00 $F0 $0F $00 $00 $FC $03 $00 $00 $FC $03 $00 $00 $CF $30 $00 $00
; Tile index $032
.db $F8 $08 $00 $00 $F8 $08 $00 $00 $F8 $08 $00 $00 $38 $C8 $00 $00 $38 $C8 $00 $00 $38 $C8 $00 $00 $3C $CC $00 $00 $3E $C2 $00 $00
; Tile index $033
.db $11 $1E $0F $00 $21 $3E $1F $00 $41 $7E $3F $00 $47 $78 $3F $00 $47 $78 $3F $00 $47 $78 $3F $00 $47 $78 $3F $00 $47 $78 $3F $00
; Tile index $034
.db $E0 $0F $F0 $00 $E0 $0F $F0 $00 $E0 $0F $F0 $00 $E0 $0F $F0 $00 $E0 $0F $F0 $00 $E0 $0F $F0 $00 $E0 $0F $F0 $00 $F8 $07 $F8 $00
; Tile index $035
.db $3E $C1 $00 $00 $3E $C1 $00 $00 $3E $C1 $00 $00 $3E $C1 $00 $00 $3E $C1 $00 $00 $0F $F0 $00 $00 $0F $F0 $00 $00 $0F $F0 $00 $00
; Tile index $036
.db $FF $00 $00 $00 $FB $04 $00 $00 $F3 $0C $00 $00 $03 $FC $00 $00 $03 $FC $00 $00 $0F $F0 $00 $00 $8F $70 $00 $00 $FF $00 $00 $00
; Tile index $037
.db $0E $F2 $00 $00 $CF $31 $00 $00 $CF $30 $00 $00 $CF $30 $00 $00 $CF $30 $00 $00 $CF $30 $00 $00 $CF $30 $00 $00 $CF $30 $00 $00
; Tile index $038
.db $00 $00 $00 $00 $00 $00 $00 $00 $80 $80 $00 $00 $80 $80 $00 $00 $80 $80 $00 $00 $80 $80 $00 $00 $80 $80 $00 $00 $80 $80 $00 $00
; Tile index $039
.db $11 $1E $0F $00 $21 $3E $1F $00 $41 $7E $3F $00 $47 $78 $3F $00 $47 $78 $3F $00 $47 $78 $3F $00 $47 $78 $3F $00 $47 $78 $3F $00
; Tile index $03A
.db $E0 $0F $F0 $00 $E0 $0F $F0 $00 $E0 $0F $F0 $00 $E0 $0F $F0 $00 $E0 $0F $F0 $00 $E0 $0F $F0 $00 $E0 $0F $F0 $00 $F8 $07 $F8 $00
; Tile index $03B
.db $3E $C1 $00 $00 $3E $C1 $00 $00 $3E $C1 $00 $00 $3E $C1 $00 $00 $3E $C1 $00 $00 $0F $F0 $00 $00 $0F $F0 $00 $00 $0F $F0 $00 $00
; Tile index $03C
.db $FF $00 $00 $00 $FB $04 $00 $00 $F3 $0C $00 $00 $03 $FC $00 $00 $03 $FC $00 $00 $0F $F0 $00 $00 $8F $70 $00 $00 $FF $00 $00 $00
; Tile index $03D
.db $0E $F2 $00 $00 $CF $31 $00 $00 $CF $30 $00 $00 $CF $30 $00 $00 $CF $30 $00 $00 $CF $30 $00 $00 $CF $30 $00 $00 $CF $30 $00 $00
; Tile index $03E
.db $00 $00 $00 $00 $00 $00 $00 $00 $80 $80 $00 $00 $80 $80 $00 $00 $80 $80 $00 $00 $80 $80 $00 $00 $80 $80 $00 $00 $80 $80 $00 $00
; Tile index $03F
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $01 $01 $00 $00 $03 $02 $00 $00 $07 $06 $00 $00 $0F $08 $00 $00
; Tile index $040
.db $80 $FF $00 $00 $80 $FF $00 $00 $80 $FF $00 $00 $80 $FF $00 $00 $80 $FF $00 $00 $FE $01 $00 $00 $FE $01 $00 $00 $FF $00 $00 $00
; Tile index $041
.db $F3 $0C $00 $00 $F8 $07 $00 $00 $F8 $07 $00 $00 $3C $C3 $00 $00 $3E $C1 $00 $00 $3F $C0 $00 $00 $3F $C0 $00 $00 $83 $7C $00 $00
; Tile index $042
.db $CF $30 $00 $00 $0F $F0 $00 $00 $0F $F0 $00 $00 $3F $C0 $00 $00 $3F $C0 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FC $03 $00 $00
; Tile index $043
.db $3E $C2 $00 $00 $3E $C2 $00 $00 $3E $C2 $00 $00 $3E $C2 $00 $00 $3E $C2 $00 $00 $3E $C2 $00 $00 $3E $C2 $00 $00 $FE $02 $00 $00
; Tile index $044
.db $47 $78 $3F $00 $47 $78 $3F $00 $27 $38 $1F $00 $11 $1E $0F $00 $11 $1E $0F $00 $10 $1F $0F $00 $08 $0F $07 $00 $04 $07 $03 $00
; Tile index $045
.db $F8 $03 $FC $00 $F8 $03 $FC $00 $F8 $03 $FC $00 $F8 $00 $FF $00 $F8 $00 $FF $00 $1E $E0 $FF $00 $1E $E0 $FF $00 $07 $F8 $FF $00
; Tile index $046
.db $0F $F0 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $0F $F0 $00 $00 $0F $F0 $00 $F0 $08 $F7 $00
; Tile index $047
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $03 $FC $00 $00 $03 $FC $00 $00 $3D $02 $C3 $00
; Tile index $048
.db $CF $30 $00 $00 $3F $C0 $00 $00 $3F $C0 $00 $00 $3D $C2 $03 $00 $3F $C0 $03 $00 $F7 $08 $0F $00 $FE $01 $0F $00 $FD $03 $FE $00
; Tile index $049
.db $C0 $C0 $00 $00 $E0 $20 $C0 $00 $E0 $20 $C0 $00 $E0 $20 $C0 $00 $E0 $20 $C0 $00 $40 $C0 $80 $00 $80 $80 $00 $00 $00 $00 $00 $00
; Tile index $04A
.db $47 $78 $3F $00 $47 $78 $3F $00 $27 $38 $1F $00 $11 $1E $0F $00 $11 $1E $0F $00 $10 $1F $0F $00 $08 $0F $07 $00 $04 $07 $03 $00
; Tile index $04B
.db $F8 $03 $FC $00 $F8 $03 $FC $00 $F8 $03 $FC $00 $F8 $00 $FF $00 $F8 $00 $FF $00 $1E $E0 $FF $00 $1E $E0 $FF $00 $07 $F8 $FF $00
; Tile index $04C
.db $0F $F0 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $0F $F0 $00 $00 $0F $F0 $00 $F0 $08 $F7 $00
; Tile index $04D
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $03 $FC $00 $00 $03 $FC $00 $00 $3D $02 $C3 $00
; Tile index $04E
.db $CF $30 $00 $00 $3F $C0 $00 $00 $3F $C0 $00 $00 $3D $C2 $03 $00 $3F $C0 $03 $00 $F7 $08 $0F $00 $FE $01 $0F $00 $FD $03 $FE $00
; Tile index $04F
.db $C0 $C0 $00 $00 $E0 $20 $C0 $00 $E0 $20 $C0 $00 $E0 $20 $C0 $00 $E0 $20 $C0 $00 $40 $C0 $80 $00 $80 $80 $00 $00 $00 $00 $00 $00
; Tile index $050
.db $0F $08 $00 $00 $0F $08 $00 $00 $0F $08 $00 $00 $0F $09 $00 $00 $09 $0F $00 $00 $06 $06 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $051
.db $FF $00 $00 $00 $FD $7E $00 $00 $7F $FE $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $7F $7F $00 $00 $7F $7F $00 $00 $00 $00 $00 $00
; Tile index $052
.db $83 $7C $00 $00 $E0 $1F $00 $00 $E0 $1F $00 $00 $78 $87 $00 $00 $F8 $87 $00 $00 $DF $E0 $00 $00 $DF $E0 $00 $00 $3F $3F $00 $00
; Tile index $053
.db $FC $03 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $0F $F0 $00 $00 $0F $F0 $00 $00 $FF $0F $00 $00 $F8 $08 $00 $00 $F0 $F0 $00 $00
; Tile index $054
.db $FE $02 $00 $00 $FC $0C $00 $00 $F8 $08 $00 $00 $F0 $30 $00 $00 $E0 $20 $00 $00 $C0 $C0 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $055
.db $03 $03 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $056
.db $81 $FE $7F $00 $40 $7F $3F $00 $3E $3F $01 $00 $01 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $057
.db $F8 $00 $FF $00 $1F $E0 $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $FF $FF $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $058
.db $1D $22 $E3 $00 $FF $00 $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $FF $FF $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $059
.db $FA $06 $FC $00 $C4 $3C $F8 $00 $38 $F8 $C0 $00 $40 $C0 $80 $00 $80 $80 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $05A
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $05B
.db $03 $03 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $05C
.db $81 $FE $7F $00 $40 $7F $3F $00 $3E $3F $01 $00 $01 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $05D
.db $F8 $00 $FF $00 $1F $E0 $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $FF $FF $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $05E
.db $1D $22 $E3 $00 $FF $00 $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $FF $FF $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $05F
.db $FA $06 $FC $00 $C4 $3C $F8 $00 $38 $F8 $C0 $00 $40 $C0 $80 $00 $80 $80 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $060
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $061
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $062
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $063
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $064
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $065
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00

background_palette:
.db $00 $15 $3F $30 $39

background_tiles:
; Tile index $100
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $101
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FE $00 $01 $00 $FC $00 $03 $00 $F0 $00 $0F $00
; Tile index $102
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $C0 $00 $3F $00 $00 $00 $FF $00 $00 $00 $FF $00 $07 $00 $F8 $00
; Tile index $103
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $3F $00 $C0 $00 $1F $00 $E0 $00 $3F $00 $C0 $00 $FF $00 $00 $00
; Tile index $104
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FC $00 $00 $00 $F8 $00 $01 $00 $F0 $00 $03 $00 $E0 $00 $07 $00 $C1 $00 $0E $00
; Tile index $105
.db $E0 $00 $1F $00 $80 $00 $3C $00 $00 $00 $70 $00 $01 $00 $E0 $00 $3F $00 $C0 $00 $7F $00 $80 $00 $F8 $00 $00 $00 $F0 $00 $00 $00
; Tile index $106
.db $0F $00 $00 $00 $04 $00 $03 $00 $00 $00 $1F $00 $C0 $00 $3F $00 $80 $00 $7F $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $107
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $0F $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $108
.db $07 $00 $F8 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $1F $00 $00 $00 $03 $00
; Tile index $109
.db $FF $00 $00 $00 $3F $00 $C0 $00 $07 $00 $F8 $00 $01 $00 $FE $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $10A
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $7F $00 $80 $00 $3F $00 $C0 $00 $1F $00 $E0 $00 $0F $00 $F0 $00
; Tile index $10B
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FE $00 $01 $00 $FE $00 $01 $00 $EC $00 $03 $00 $C0 $00 $07 $00 $80 $00 $07 $00
; Tile index $10C
.db $FF $00 $00 $00 $BF $00 $40 $00 $1F $00 $E0 $00 $1F $00 $E0 $00 $1F $00 $E0 $00 $0F $00 $F0 $00 $0F $00 $F0 $00 $0F $00 $F0 $00
; Tile index $10D
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $E3 $00 $1C $00 $C1 $00 $3E $00
; Tile index $10E
.db $FF $00 $00 $00 $FF $00 $00 $00 $FE $00 $00 $00 $FC $00 $00 $00 $F8 $00 $01 $00 $F0 $00 $03 $00 $E0 $00 $03 $00 $C0 $00 $07 $00
; Tile index $10F
.db $83 $00 $1C $00 $03 $00 $3C $00 $07 $00 $78 $00 $0E $00 $F1 $00 $0C $00 $F3 $00 $00 $00 $E7 $00 $00 $00 $CF $00 $00 $00 $C0 $00
; Tile index $110
.db $E0 $00 $00 $00 $80 $00 $7F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $3F $00
; Tile index $111
.db $00 $00 $00 $00 $7C $00 $80 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $112
.db $00 $00 $00 $00 $00 $00 $80 $00 $00 $00 $FC $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $113
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $C0 $00 $00 $00 $E0 $00 $08 $00 $F0 $00 $0C $00 $F0 $00 $1E $00 $E0 $00
; Tile index $114
.db $00 $00 $7F $00 $00 $00 $1F $00 $00 $00 $0F $00 $00 $00 $07 $00 $00 $00 $03 $00 $00 $00 $01 $00 $00 $00 $01 $00 $00 $00 $01 $00
; Tile index $115
.db $07 $00 $F8 $00 $07 $00 $F8 $00 $03 $00 $FC $00 $03 $00 $FC $00 $03 $00 $FC $00 $03 $00 $FC $00 $03 $00 $FC $00 $03 $00 $FC $00
; Tile index $116
.db $FF $00 $00 $00 $FF $00 $00 $00 $FE $00 $00 $00 $FE $00 $00 $00 $FC $00 $00 $00 $FC $00 $00 $00 $FE $00 $00 $00 $FE $00 $00 $00
; Tile index $117
.db $80 $00 $0F $00 $00 $00 $0F $00 $00 $00 $07 $00 $00 $00 $07 $00 $00 $00 $07 $00 $00 $00 $03 $00 $00 $00 $01 $00 $00 $00 $01 $00
; Tile index $118
.db $07 $00 $F8 $00 $03 $00 $FC $00 $01 $00 $FE $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $119
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $7F $00 $80 $00 $3F $00 $C0 $00 $0F $00 $F0 $00 $07 $00 $F8 $00
; Tile index $11A
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $CF $00 $30 $00 $87 $00 $78 $00
; Tile index $11B
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $C1 $00 $3E $00 $80 $00 $7F $00
; Tile index $11C
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FE $00 $00 $00
; Tile index $11D
.db $FF $00 $00 $00 $FF $00 $00 $00 $FE $00 $01 $00 $F8 $00 $07 $00 $F0 $00 $0F $00 $C0 $00 $1F $00 $80 $00 $3C $00 $00 $00 $78 $00
; Tile index $11E
.db $E0 $00 $1F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $0F $00 $00 $00 $07 $00
; Tile index $11F
.db $3F $00 $C0 $00 $0F $00 $F0 $00 $07 $00 $F8 $00 $03 $00 $FC $00 $03 $00 $FC $00 $01 $00 $FE $00 $01 $00 $FE $00 $00 $00 $FF $00
; Tile index $120
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FC $00 $03 $00
; Tile index $121
.db $FF $00 $00 $00 $FF $00 $00 $00 $F8 $00 $01 $00 $F0 $00 $03 $00 $E0 $00 $01 $00 $E0 $00 $01 $00 $80 $00 $21 $00 $00 $00 $E0 $00
; Tile index $122
.db $83 $00 $7C $00 $81 $00 $7E $00 $01 $00 $FE $00 $00 $00 $FE $00 $00 $00 $FE $00 $00 $00 $FE $00 $00 $00 $FE $00 $00 $00 $FE $00
; Tile index $123
.db $80 $00 $07 $00 $00 $00 $0F $00 $00 $00 $0F $00 $00 $00 $1F $00 $00 $00 $1F $00 $00 $00 $1F $00 $00 $00 $3F $00 $00 $00 $1F $00
; Tile index $124
.db $00 $00 $C0 $00 $00 $00 $80 $00 $00 $00 $80 $00 $70 $00 $80 $00 $70 $00 $80 $00 $70 $00 $80 $00 $70 $00 $80 $00 $70 $00 $80 $00
; Tile index $125
.db $00 $00 $3F $00 $00 $00 $3F $00 $00 $00 $3F $00 $00 $00 $3F $00 $00 $00 $3F $00 $00 $00 $3E $00 $00 $00 $7E $00 $00 $00 $FC $00
; Tile index $126
.db $00 $00 $9F $00 $00 $00 $9F $00 $00 $00 $3F $00 $00 $00 $3E $00 $00 $00 $3E $00 $00 $00 $7E $00 $03 $00 $7C $00 $03 $00 $FC $00
; Tile index $127
.db $00 $00 $FF $00 $03 $00 $0C $00 $03 $00 $00 $00 $07 $00 $00 $00 $1F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $128
.db $7F $00 $80 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $129
.db $00 $00 $00 $00 $80 $00 $00 $00 $80 $00 $00 $00 $80 $00 $01 $00 $C0 $00 $00 $00 $C0 $00 $01 $00 $C0 $00 $01 $00 $80 $00 $03 $00
; Tile index $12A
.db $03 $00 $FC $00 $03 $00 $FC $00 $03 $00 $FC $00 $07 $00 $F8 $00 $07 $00 $F8 $00 $0F $00 $F0 $00 $0F $00 $F0 $00 $1F $00 $E0 $00
; Tile index $12B
.db $00 $00 $00 $00 $00 $00 $00 $00 $80 $00 $00 $00 $80 $00 $00 $00 $C0 $00 $00 $00 $E0 $00 $00 $00 $F0 $00 $01 $00 $F8 $00 $07 $00
; Tile index $12C
.db $00 $00 $FF $00 $00 $00 $7F $00 $00 $00 $3F $00 $00 $00 $1F $00 $00 $00 $07 $00 $00 $00 $1F $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $12D
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $12E
.db $FF $00 $00 $00 $3F $00 $C0 $00 $0F $00 $F0 $00 $01 $00 $FE $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $12F
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $1F $00 $E0 $00 $01 $00 $FE $00 $01 $00 $FE $00 $00 $00 $FF $00
; Tile index $130
.db $FF $00 $00 $00 $FF $00 $00 $00 $F2 $00 $01 $00 $E0 $00 $03 $00 $C0 $00 $07 $00 $C0 $00 $03 $00 $80 $00 $03 $00 $00 $00 $01 $00
; Tile index $131
.db $07 $00 $F8 $00 $07 $00 $F8 $00 $03 $00 $FC $00 $03 $00 $FC $00 $03 $00 $FC $00 $03 $00 $FC $00 $01 $00 $FE $00 $00 $00 $FE $00
; Tile index $132
.db $FF $00 $00 $00 $FE $00 $01 $00 $F0 $00 $03 $00 $E0 $00 $07 $00 $C0 $00 $0F $00 $80 $00 $1E $00 $00 $00 $3C $00 $00 $00 $3C $00
; Tile index $133
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $7F $00 $00 $00 $7F $00 $00 $00 $3F $00
; Tile index $134
.db $FC $00 $00 $00 $78 $00 $81 $00 $70 $00 $83 $00 $61 $00 $86 $00 $03 $00 $C8 $00 $07 $00 $C0 $00 $1F $00 $C0 $00 $3F $00 $C0 $00
; Tile index $135
.db $00 $00 $F0 $00 $00 $00 $E0 $00 $7C $00 $80 $00 $FE $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $136
.db $00 $00 $03 $00 $00 $00 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $80 $00 $00 $00 $C0 $00 $00 $00 $C0 $00 $00 $00
; Tile index $137
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $7F $00 $00 $00 $7F $00 $00 $00 $7F $00 $00 $00 $7F $00
; Tile index $138
.db $FE $00 $01 $00 $FC $00 $03 $00 $F8 $00 $07 $00 $70 $00 $8F $00 $00 $00 $9F $00 $00 $00 $BF $00 $00 $00 $80 $00 $01 $00 $80 $00
; Tile index $139
.db $00 $00 $FF $00 $00 $00 $FF $00 $01 $00 $FE $00 $07 $00 $F8 $00 $07 $00 $E0 $00 $1F $00 $00 $00 $7F $00 $00 $00 $FF $00 $00 $00
; Tile index $13A
.db $00 $00 $E0 $00 $00 $00 $80 $00 $80 $00 $00 $00 $C0 $00 $01 $00 $C0 $00 $01 $00 $C0 $00 $01 $00 $C0 $00 $01 $00 $80 $00 $01 $00
; Tile index $13B
.db $00 $00 $FE $00 $00 $00 $FE $00 $00 $00 $FC $00 $00 $00 $FC $00 $00 $00 $FC $00 $00 $00 $FC $00 $00 $00 $FC $00 $00 $00 $F8 $00
; Tile index $13C
.db $00 $00 $3F $00 $00 $00 $3F $00 $00 $00 $3F $00 $00 $00 $1F $00 $00 $00 $3F $00 $00 $00 $1F $00 $00 $00 $1F $00 $00 $00 $0F $00
; Tile index $13D
.db $70 $00 $83 $00 $30 $00 $C3 $00 $20 $00 $C7 $00 $00 $00 $CF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $F0 $00 $00 $00 $F8 $00
; Tile index $13E
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $13F
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $01 $00 $1C $00 $01 $00 $00 $00
; Tile index $140
.db $7F $00 $80 $00 $0F $00 $F0 $00 $07 $00 $F8 $00 $07 $00 $F8 $00 $1F $00 $E0 $00 $7F $00 $80 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $141
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FE $00 $00 $00 $FE $00 $00 $00 $FC $00 $00 $00
; Tile index $142
.db $C0 $00 $03 $00 $80 $00 $07 $00 $80 $00 $07 $00 $00 $00 $0F $00 $01 $00 $1E $00 $03 $00 $3C $00 $07 $00 $78 $00 $0F $00 $F0 $00
; Tile index $143
.db $1F $00 $E0 $00 $3F $00 $C0 $00 $7F $00 $80 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $144
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FE $00 $01 $00 $F8 $00 $03 $00 $F0 $00 $07 $00 $C0 $00 $0F $00 $80 $00 $1E $00
; Tile index $145
.db $E0 $00 $1F $00 $C0 $00 $3F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FC $00 $00 $00 $E0 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $146
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $147
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $0F $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $01 $00
; Tile index $148
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FB $00 $00 $00 $00 $00 $00 $00 $1F $00 $00 $00 $FF $00
; Tile index $149
.db $00 $00 $FF $00 $03 $00 $FC $00 $0F $00 $F0 $00 $1F $00 $E0 $00 $38 $00 $87 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $14A
.db $FE $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $80 $00 $7F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $14B
.db $00 $00 $01 $00 $00 $00 $01 $00 $00 $00 $00 $00 $00 $00 $FC $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $14C
.db $00 $00 $FE $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $14D
.db $00 $00 $78 $00 $00 $00 $F0 $00 $00 $00 $F0 $00 $10 $00 $E0 $00 $10 $00 $E0 $00 $30 $00 $C0 $00 $38 $00 $C0 $00 $38 $00 $C0 $00
; Tile index $14E
.db $00 $00 $3F $00 $00 $00 $3F $00 $00 $00 $1F $00 $00 $00 $1F $00 $00 $00 $1F $00 $00 $00 $1F $00 $00 $00 $1F $00 $00 $00 $1F $00
; Tile index $14F
.db $3F $00 $C0 $00 $3F $00 $C0 $00 $3F $00 $C0 $00 $3F $00 $C0 $00 $3F $00 $C0 $00 $3E $00 $C1 $00 $3C $00 $C3 $00 $30 $00 $CF $00
; Tile index $150
.db $FF $00 $00 $00 $FF $00 $00 $00 $F8 $00 $07 $00 $E0 $00 $1F $00 $80 $00 $7F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $151
.db $E0 $00 $00 $00 $00 $00 $FC $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $152
.db $00 $00 $3F $00 $00 $00 $3F $00 $00 $00 $BF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $153
.db $07 $00 $80 $00 $3F $00 $80 $00 $7F $00 $80 $00 $7F $00 $80 $00 $7E $00 $81 $00 $FC $00 $03 $00 $E0 $00 $07 $00 $C0 $00 $0F $00
; Tile index $154
.db $FF $00 $00 $00 $FF $00 $00 $00 $9F $00 $60 $00 $0F $00 $F0 $00 $0F $00 $F0 $00 $0F $00 $F0 $00 $0F $00 $F0 $00 $0F $00 $F0 $00
; Tile index $155
.db $80 $00 $01 $00 $80 $00 $03 $00 $80 $00 $03 $00 $80 $00 $03 $00 $80 $00 $03 $00 $00 $00 $07 $00 $00 $00 $07 $00 $00 $00 $07 $00
; Tile index $156
.db $00 $00 $F8 $00 $00 $00 $F8 $00 $08 $00 $F0 $00 $0C $00 $F0 $00 $0E $00 $F0 $00 $1F $00 $E0 $00 $1F $00 $E0 $00 $3F $00 $C0 $00
; Tile index $157
.db $00 $00 $07 $00 $00 $00 $03 $00 $02 $00 $01 $00 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $80 $00 $00 $00 $C0 $00 $00 $00
; Tile index $158
.db $00 $00 $FC $00 $00 $00 $FE $00 $00 $00 $FF $00 $00 $00 $FF $00 $80 $00 $7F $00 $00 $00 $7F $00 $20 $00 $1F $00 $00 $00 $1F $00
; Tile index $159
.db $00 $00 $00 $00 $00 $00 $00 $00 $F8 $00 $00 $00 $3F $00 $C0 $00 $0F $00 $F0 $00 $03 $00 $FC $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $15A
.db $07 $00 $00 $00 $1F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $0C $00 $F3 $00 $00 $00 $FF $00
; Tile index $15B
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FE $00 $01 $00 $F0 $00 $0F $00 $00 $00 $FF $00 $00 $00 $FE $00
; Tile index $15C
.db $F8 $00 $03 $00 $F0 $00 $07 $00 $E0 $00 $1F $00 $81 $00 $7E $00 $07 $00 $F8 $00 $1F $00 $E0 $00 $3F $00 $80 $00 $7F $00 $00 $00
; Tile index $15D
.db $1F $00 $E0 $00 $7F $00 $80 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $15E
.db $FF $00 $00 $00 $FE $00 $00 $00 $FC $00 $00 $00 $F8 $00 $00 $00 $F8 $00 $00 $00 $F0 $00 $01 $00 $E0 $00 $00 $00 $C0 $00 $00 $00
; Tile index $15F
.db $00 $00 $1E $00 $01 $00 $3E $00 $00 $00 $7F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $160
.db $FF $00 $00 $00 $FF $00 $00 $00 $3F $00 $C0 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $161
.db $FC $00 $00 $00 $FE $00 $01 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FC $00
; Tile index $162
.db $00 $00 $0F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FC $00 $00 $00 $80 $00 $00 $00 $00 $00
; Tile index $163
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FC $00 $00 $00 $80 $00 $00 $00 $00 $00 $0F $00 $00 $00 $FF $00 $00 $00
; Tile index $164
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $C0 $00 $00 $00 $00 $00 $00 $00 $00 $00 $1F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $165
.db $00 $00 $FF $00 $00 $00 $83 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $E0 $00 $00 $00 $F8 $00 $00 $00
; Tile index $166
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $7F $00 $00 $00 $1F $00 $00 $00 $0F $00 $00 $00 $07 $00 $00 $00 $03 $00 $00 $00 $03 $00
; Tile index $167
.db $78 $00 $80 $00 $78 $00 $80 $00 $78 $00 $80 $00 $78 $00 $80 $00 $78 $00 $80 $00 $78 $00 $80 $00 $78 $00 $80 $00 $78 $00 $80 $00
; Tile index $168
.db $00 $00 $1F $00 $00 $00 $1F $00 $00 $00 $1F $00 $00 $00 $1F $00 $00 $00 $1F $00 $00 $00 $1F $00 $00 $00 $1F $00 $00 $00 $3F $00
; Tile index $169
.db $20 $00 $DF $00 $00 $00 $FE $00 $00 $00 $F8 $00 $00 $00 $E0 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $16A
.db $00 $00 $80 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $10 $00 $E4 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $16B
.db $00 $00 $3F $00 $00 $00 $0F $00 $00 $00 $07 $00 $00 $00 $07 $00 $00 $00 $03 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $16C
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FE $00 $00 $00 $FE $00 $00 $00 $FE $00 $00 $00 $FE $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $16D
.db $80 $00 $07 $00 $00 $00 $07 $00 $00 $00 $07 $00 $00 $00 $07 $00 $00 $00 $07 $00 $00 $00 $07 $00 $00 $00 $87 $00 $00 $00 $E7 $00
; Tile index $16E
.db $0F $00 $F0 $00 $0E $00 $F0 $00 $0E $00 $F0 $00 $0E $00 $F0 $00 $0C $00 $F0 $00 $0C $00 $F0 $00 $0C $00 $F0 $00 $08 $00 $F0 $00
; Tile index $16F
.db $00 $00 $0F $00 $00 $00 $0F $00 $00 $00 $0F $00 $00 $00 $1F $00 $00 $00 $1F $00 $00 $00 $3F $00 $00 $00 $3F $00 $01 $00 $3E $00
; Tile index $170
.db $3F $00 $C0 $00 $3F $00 $C0 $00 $7F $00 $80 $00 $7F $00 $80 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $171
.db $E0 $00 $00 $00 $E0 $00 $00 $00 $F8 $00 $00 $00 $F8 $00 $00 $00 $FE $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $172
.db $00 $00 $07 $00 $00 $00 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $80 $00 $00 $00 $E0 $00 $00 $00 $FE $00 $00 $00
; Tile index $173
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $7F $00 $00 $00 $06 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $7F $00 $00 $00
; Tile index $174
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $00 $00 $01 $00 $00 $00 $0F $00 $00 $00 $3F $00 $00 $00 $FF $00 $00 $00
; Tile index $175
.db $01 $00 $F8 $00 $07 $00 $C0 $00 $1F $00 $00 $00 $7F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $176
.db $C0 $00 $00 $00 $80 $00 $00 $00 $C0 $00 $00 $00 $C0 $00 $00 $00 $F0 $00 $01 $00 $E0 $00 $03 $00 $E0 $00 $03 $00 $C0 $00 $00 $00
; Tile index $177
.db $00 $00 $C0 $00 $00 $00 $00 $00 $1F $00 $E0 $00 $01 $00 $FE $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $178
.db $1F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $0F $00 $F0 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $179
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $17A
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $E8 $00 $17 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $17B
.db $FC $00 $00 $00 $FE $00 $00 $00 $FC $00 $03 $00 $C0 $00 $3F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $01 $00 $FC $00
; Tile index $17C
.db $00 $00 $0F $00 $00 $00 $7F $00 $00 $00 $FC $00 $00 $00 $F8 $00 $00 $00 $E0 $00 $30 $00 $C0 $00 $F0 $00 $00 $00 $E0 $00 $00 $00
; Tile index $17D
.db $00 $00 $FF $00 $00 $00 $3F $00 $00 $00 $3F $00 $00 $00 $7F $00 $00 $00 $7F $00 $00 $00 $7F $00 $01 $00 $7E $00 $03 $00 $3C $00
; Tile index $17E
.db $78 $00 $80 $00 $78 $00 $80 $00 $78 $00 $80 $00 $70 $00 $80 $00 $70 $00 $80 $00 $70 $00 $80 $00 $F0 $00 $00 $00 $F0 $00 $00 $00
; Tile index $17F
.db $00 $00 $3F $00 $00 $00 $3F $00 $00 $00 $3F $00 $00 $00 $3F $00 $00 $00 $7F $00 $00 $00 $7F $00 $00 $00 $7F $00 $01 $00 $7E $00
; Tile index $180
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $FF $00 $00 $00
; Tile index $181
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $80 $00 $00 $00
; Tile index $182
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $03 $00 $00 $00 $03 $00 $00 $00 $07 $00 $00 $00 $07 $00
; Tile index $183
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FE $00 $02 $00 $F8 $00 $0E $00 $F0 $00 $0C $00 $F0 $00
; Tile index $184
.db $00 $00 $F7 $00 $00 $00 $F7 $00 $00 $00 $C7 $00 $00 $00 $8F $00 $00 $00 $0F $00 $00 $00 $0F $00 $01 $00 $0E $00 $03 $00 $1C $00
; Tile index $185
.db $18 $00 $E0 $00 $10 $00 $E0 $00 $10 $00 $E0 $00 $30 $00 $C0 $00 $20 $00 $C1 $00 $20 $00 $C1 $00 $C0 $00 $03 $00 $C0 $00 $03 $00
; Tile index $186
.db $01 $00 $7E $00 $03 $00 $7C $00 $07 $00 $F8 $00 $07 $00 $F8 $00 $0F $00 $F0 $00 $0F $00 $F0 $00 $1E $00 $E1 $00 $38 $00 $C7 $00
; Tile index $187
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $C0 $00 $3F $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $188
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $01 $00 $FE $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $189
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $3F $00 $C0 $00 $0F $00 $F0 $00
; Tile index $18A
.db $80 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $C0 $00 $00 $00 $E0 $00 $00 $00 $F8 $00 $00 $00 $FE $00 $00 $00 $FF $00 $00 $00
; Tile index $18B
.db $00 $00 $7F $00 $00 $00 $1F $00 $00 $00 $07 $00 $00 $00 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $80 $00 $00 $00
; Tile index $18C
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $7F $00 $00 $00 $3F $00 $00 $00 $0F $00 $00 $00 $03 $00
; Tile index $18D
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $80 $00 $00 $00 $C0 $00 $00 $00 $E0 $00 $00 $00 $F0 $00
; Tile index $18E
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FC $00 $00 $00 $00 $00 $00 $00 $00 $00 $03 $00 $00 $00 $FF $00 $00 $00
; Tile index $18F
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $F0 $00 $00 $00 $00 $00 $07 $00 $00 $00 $3F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $190
.db $07 $00 $E0 $00 $0F $00 $00 $00 $3F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $191
.db $E0 $00 $00 $00 $E0 $00 $00 $00 $E0 $00 $00 $00 $F0 $00 $00 $00 $F3 $00 $00 $00 $F7 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $192
.db $0F $00 $30 $00 $1F $00 $20 $00 $7F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $193
.db $E0 $00 $00 $00 $E0 $00 $00 $00 $E0 $00 $00 $00 $E0 $00 $00 $00 $E0 $00 $00 $00 $E1 $00 $00 $00 $C3 $00 $00 $00 $CF $00 $00 $00
; Tile index $194
.db $03 $00 $7C $00 $07 $00 $78 $00 $0F $00 $F0 $00 $3F $00 $C0 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $195
.db $FF $00 $00 $00 $FF $00 $00 $00 $FE $00 $00 $00 $FE $00 $00 $00 $FE $00 $00 $00 $FE $00 $00 $00 $FC $00 $00 $00 $FC $00 $00 $00
; Tile index $196
.db $00 $00 $07 $00 $00 $00 $07 $00 $00 $00 $0F $00 $00 $00 $0F $00 $03 $00 $1C $00 $07 $00 $08 $00 $0F $00 $00 $00 $1F $00 $00 $00
; Tile index $197
.db $1C $00 $E0 $00 $1C $00 $E0 $00 $3C $00 $C0 $00 $78 $00 $80 $00 $FB $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $198
.db $0F $00 $10 $00 $0F $00 $00 $00 $7F $00 $00 $00 $FF $00 $00 $00 $FE $00 $00 $00 $FC $00 $00 $00 $FC $00 $00 $00 $F8 $00 $00 $00
; Tile index $199
.db $80 $00 $07 $00 $80 $00 $0F $00 $00 $00 $0F $00 $00 $00 $1F $00 $00 $00 $3F $00 $00 $00 $7F $00 $00 $00 $7E $00 $03 $00 $F8 $00
; Tile index $19A
.db $20 $00 $DF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $F0 $00 $00 $00 $C0 $00 $00 $00 $00 $00 $0E $00 $00 $00 $FF $00 $00 $00
; Tile index $19B
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $C7 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $F0 $00 $00 $00
; Tile index $19C
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $3F $00 $00 $00 $0F $00 $00 $00 $03 $00 $00 $00 $00 $00 $00 $00 $00 $00
; Tile index $19D
.db $03 $00 $FC $00 $01 $00 $FE $00 $00 $00 $FF $00 $01 $00 $FE $00 $07 $00 $F8 $00 $0F $00 $F0 $00 $3F $00 $C0 $00 $7F $00 $00 $00
; Tile index $19E
.db $E0 $00 $00 $00 $F0 $00 $00 $00 $FC $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $19F
.db $00 $00 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $80 $00 $00 $00 $C0 $00 $00 $00 $F0 $00 $00 $00 $F8 $00 $00 $00
; Tile index $1A0
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $3F $00 $00 $00 $1F $00 $00 $00 $0F $00 $00 $00 $07 $00 $00 $00 $03 $00 $00 $00 $03 $00
; Tile index $1A1
.db $07 $00 $F8 $00 $03 $00 $FC $00 $03 $00 $FC $00 $01 $00 $FE $00 $01 $00 $FE $00 $00 $00 $FF $00 $00 $00 $FF $00 $03 $00 $FC $00
; Tile index $1A2
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FE $00 $00 $00 $F8 $00 $00 $00 $F8 $00 $00 $00 $F0 $00 $00 $00
; Tile index $1A3
.db $F8 $00 $07 $00 $E0 $00 $1F $00 $E0 $00 $1F $00 $C0 $00 $3F $00 $00 $00 $7F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $00 $00
; Tile index $1A4
.db $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $00 $00
; Tile index $1A5
.db $03 $00 $FC $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $03 $00
; Tile index $1A6
.db $FF $00 $00 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00
; Tile index $1A7
.db $FF $00 $00 $00 $0F $00 $F0 $00 $03 $00 $FC $00 $01 $00 $FE $00 $01 $00 $FE $00 $03 $00 $FC $00 $0F $00 $F0 $00 $3F $00 $C0 $00
; Tile index $1A8
.db $F8 $00 $00 $00 $FD $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1A9
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FE $00 $00 $00 $FC $00 $00 $00
; Tile index $1AA
.db $F0 $00 $01 $00 $E0 $00 $03 $00 $E0 $00 $07 $00 $C0 $00 $0F $00 $80 $00 $0F $00 $03 $00 $1C $00 $0F $00 $30 $00 $1F $00 $00 $00
; Tile index $1AB
.db $FC $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1AC
.db $01 $00 $00 $00 $03 $00 $00 $00 $CF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1AD
.db $00 $00 $01 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $81 $00 $00 $00 $C7 $00 $00 $00 $CF $00 $00 $00 $FF $00 $00 $00
; Tile index $1AE
.db $07 $00 $F8 $00 $1F $00 $E0 $00 $3F $00 $C0 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1AF
.db $E0 $00 $00 $00 $C0 $00 $00 $00 $C0 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1B0
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1B1
.db $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1B2
.db $00 $00 $00 $00 $00 $00 $00 $00 $03 $00 $00 $00 $0F $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1B3
.db $FC $00 $00 $00 $F8 $00 $00 $00 $F3 $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1B4
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $80 $00 $00 $FF $80 $00 $00
; Tile index $1B5
.db $FF $00 $00 $00 $FF $01 $00 $00 $FF $01 $00 $00 $FF $01 $00 $00 $FF $03 $00 $00 $FF $0B $00 $00 $FF $0F $00 $00 $FF $1E $00 $00
; Tile index $1B6
.db $FF $80 $00 $00 $FF $80 $00 $00 $FF $80 $00 $00 $FF $80 $00 $00 $FF $80 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1B7
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $07 $00 $00 $FF $0F $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1B8
.db $FF $3C $00 $00 $FF $FC $00 $00 $FF $FE $00 $00 $FF $FE $00 $00 $FF $1F $00 $00 $FF $0F $00 $00 $FF $03 $00 $00 $FF $03 $00 $00
; Tile index $1B9
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $80 $00 $00 $FF $F0 $00 $00 $FF $F8 $00 $00
; Tile index $1BA
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $01 $00 $00 $FF $7F $00 $00
; Tile index $1BB
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $80 $00 $00
; Tile index $1BC
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $02 $00 $00 $FF $03 $00 $00 $FF $0F $00 $00 $FF $1E $00 $00
; Tile index $1BD
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $80 $00 $00 $FF $00 $00 $00
; Tile index $1BE
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $0F $00 $00
; Tile index $1BF
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $1F $00 $00 $FF $0F $00 $00
; Tile index $1C0
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FE $E6 $01 $00
; Tile index $1C1
.db $FF $03 $00 $00 $FF $07 $00 $00 $FF $07 $00 $00 $FF $1F $00 $00 $FF $3F $00 $00 $FF $3F $00 $00 $7F $7F $80 $00 $7F $7F $80 $00
; Tile index $1C2
.db $F9 $F9 $06 $00 $F9 $F9 $06 $00 $F9 $F9 $06 $00 $F8 $F8 $07 $00 $F8 $F8 $07 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00
; Tile index $1C3
.db $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $00 $00 $FF $00 $00 $00 $FF $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00
; Tile index $1C4
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $F0 $00 $00 $07 $06 $F8 $00 $03 $03 $FC $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00
; Tile index $1C5
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $03 $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $F8 $00 $00
; Tile index $1C6
.db $FF $00 $00 $00 $FF $01 $00 $00 $FF $07 $00 $00 $CF $CF $30 $00 $CF $CF $30 $00 $DF $C1 $20 $00 $CF $CF $30 $00 $CF $0F $30 $00
; Tile index $1C7
.db $FF $7C $00 $00 $FF $E0 $00 $00 $FF $C0 $00 $00 $FF $FC $00 $00 $FF $E0 $00 $00 $FF $F8 $00 $00 $FF $FE $00 $00 $FF $C7 $00 $00
; Tile index $1C8
.db $FF $00 $00 $00 $FF $0F $00 $00 $FF $0B $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1C9
.db $FF $01 $00 $00 $FF $FF $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1CA
.db $FF $E0 $00 $00 $FF $FF $00 $00 $FF $03 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1CB
.db $FF $0F $00 $00 $FF $FF $00 $00 $FF $D9 $00 $00 $FF $1D $00 $00 $FF $1F $00 $00 $FF $01 $00 $00 $FF $07 $00 $00 $FF $0E $00 $00
; Tile index $1CC
.db $FE $FE $01 $00 $FE $FE $01 $00 $FE $FE $01 $00 $FE $FE $01 $00 $FE $FE $01 $00 $FE $FE $01 $00 $FE $3E $01 $00 $FE $3E $01 $00
; Tile index $1CD
.db $7F $7F $80 $00 $7F $7F $80 $00 $7F $7F $80 $00 $7F $7F $80 $00 $7F $7F $80 $00 $7F $7F $80 $00 $7F $7F $80 $00 $7F $7F $80 $00
; Tile index $1CE
.db $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00
; Tile index $1CF
.db $FF $E0 $00 $00 $FF $E0 $00 $00 $FF $E0 $00 $00 $FF $C0 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $80 $00 $00
; Tile index $1D0
.db $FF $C0 $00 $00 $FF $40 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1D1
.db $FF $C0 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1D2
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $7E $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1D3
.db $FE $3E $01 $00 $FE $3E $01 $00 $FE $3E $01 $00 $FE $7E $01 $00 $FE $FE $01 $00 $FE $FE $01 $00 $FE $7E $01 $00 $FE $7E $01 $00
; Tile index $1D4
.db $FF $FF $00 $00 $FF $FF $00 $00 $F8 $F8 $07 $00 $F8 $F8 $07 $00 $F9 $F9 $06 $00 $F9 $F9 $06 $00 $F9 $F9 $06 $00 $F9 $F9 $06 $00
; Tile index $1D5
.db $FF $FF $00 $00 $FF $FF $00 $00 $00 $00 $FF $00 $00 $00 $FF $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00
; Tile index $1D6
.db $FF $C0 $00 $00 $FF $E0 $00 $00 $0F $00 $F0 $00 $0F $00 $F0 $00 $FF $F8 $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FE $00 $00
; Tile index $1D7
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $02 $00 $00 $FF $06 $00 $00 $FF $0C $00 $00 $EF $CC $10 $00 $CF $C8 $30 $00
; Tile index $1D8
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $03 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1D9
.db $FF $C0 $00 $00 $FF $00 $00 $00 $FF $F0 $00 $00 $FF $FF $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1DA
.db $FF $00 $00 $00 $FF $00 $00 $00 $FF $1F $00 $00 $FF $E3 $00 $00 $FF $0E $00 $00 $FF $10 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1DB
.db $FF $01 $00 $00 $FF $07 $00 $00 $BF $BC $40 $00 $FF $30 $00 $00 $BF $30 $40 $00 $BF $30 $40 $00 $BF $20 $40 $00 $BF $20 $40 $00
; Tile index $1DC
.db $FE $FA $01 $00 $FE $E0 $01 $00 $FE $00 $01 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1DD
.db $7F $7F $80 $00 $7F $7F $80 $00 $7F $78 $80 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1DE
.db $F9 $F9 $06 $00 $FF $F8 $00 $00 $FF $30 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1DF
.db $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $DF $00 $00 $FF $8F $00 $00 $FF $07 $00 $00 $FF $03 $00 $00 $FF $03 $00 $00
; Tile index $1E0
.db $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FF $00 $00 $FF $FE $00 $00
; Tile index $1E1
.db $FF $F7 $00 $00 $FF $E3 $00 $00 $FF $C1 $00 $00 $FF $C0 $00 $00 $FF $80 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1E2
.db $CF $00 $30 $00 $CF $8F $30 $00 $FF $CA $00 $00 $DF $C0 $20 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1E3
.db $FF $00 $00 $00 $FF $E0 $00 $00 $FF $7C $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1E4
.db $BF $20 $40 $00 $BF $80 $40 $00 $BF $80 $40 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00
; Tile index $1E5
.db $FF $FF $00 $00 $F3 $F0 $0C $00 $F3 $60 $0C $00 $F7 $F0 $08 $00 $F7 $F0 $08 $00 $F7 $C0 $08 $00 $FF $80 $00 $00 $FF $00 $00 $00
; Tile index $1E6
.db $FF $E0 $00 $00 $FF $80 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00 $FF $00 $00 $00

background_tilemap:
.dw $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100
.dw $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100
.dw $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0101 $0102 $0103 $0100 $0100 $0100 $0100
.dw $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0104 $0105 $0106 $0107 $0108 $0109 $010A $0100
.dw $0100 $0100 $0100 $0100 $0100 $010B $010C $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $010D $010E $010F $0110 $0111 $0112 $0113 $0114 $0115 $0100
.dw $0100 $0100 $0100 $0100 $0116 $0117 $0118 $0119 $0100 $0100 $0100 $0100 $011A $0100 $011B $011C $011D $011E $011F $0100 $0120 $0121 $0122 $0123 $0124 $0125 $0126 $0127 $0128 $0129 $012A $0100
.dw $0100 $0100 $0100 $0100 $051C $012B $012C $012D $012E $012F $0100 $0130 $0131 $0132 $0133 $0134 $0135 $0136 $0137 $0138 $0139 $013A $013B $013C $013D $013E $013F $0140 $0141 $0142 $0143 $0100
.dw $0100 $0100 $0100 $0100 $0144 $0145 $0146 $0147 $0148 $0149 $014A $014B $014C $014D $014E $014F $0150 $0151 $0152 $0153 $0154 $0155 $0156 $0157 $0158 $0159 $015A $015B $015C $015D $0100 $0100
.dw $0100 $0100 $0100 $015E $015F $0160 $0161 $0162 $0163 $0164 $0165 $0166 $012D $0167 $0168 $0169 $016A $016B $016C $016D $016E $016F $0170 $0171 $0172 $0173 $0174 $0175 $0100 $0100 $0100 $0100
.dw $0100 $0100 $0100 $0176 $0533 $012D $0177 $0178 $0179 $017A $017B $017C $017D $017E $017F $0180 $0181 $0182 $0183 $0184 $0185 $0186 $0187 $0188 $0189 $0100 $0100 $0100 $0100 $0100 $0100 $0100
.dw $0100 $0100 $0100 $018A $018B $018C $012D $018D $018E $018F $0190 $0191 $0192 $0193 $0194 $0100 $0195 $0196 $0197 $0198 $0199 $019A $019B $019C $019D $0100 $0100 $0100 $0100 $0100 $0100 $0100
.dw $0100 $0100 $0100 $0100 $019E $019F $01A0 $01A1 $0100 $0100 $01A2 $01A3 $01A4 $01A5 $01A6 $01A7 $01A8 $0100 $01A9 $01AA $050A $0100 $01AB $01AC $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100
.dw $0100 $0100 $0100 $0100 $0100 $05A9 $01AD $01AE $0100 $0100 $01AF $01B0 $01B0 $01B1 $01B2 $071C $0100 $0100 $01B3 $03AB $0100 $0100 $0100 $0100 $0100 $01B4 $0100 $0100 $0100 $0100 $0100 $0100
.dw $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $01B5 $01B6 $0100 $0100 $0100 $0100 $0100 $0100
.dw $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $01B7 $01B8 $01B9 $01BA $01BB $0100 $0100 $01BC $01BD
.dw $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $01BE $0100 $01BF $01C0 $01C1 $01C2 $01C3 $01C4 $01C5 $01C6 $01C7 $01BB
.dw $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $01C8 $01C9 $01CA $01CB $01CC $01CD $01CE $01CE $01CE $01CF $0100 $01D0 $01D1
.dw $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $01D2 $01D3 $01CD $01D4 $01D5 $01D5 $01D6 $01D7 $0100 $0100
.dw $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $01D8 $01D9 $01DA $01DB $01DC $01DD $01DE $01DF $01E0 $01E1 $01E2 $01E3 $0100
.dw $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $01E4 $0100 $0100 $0100 $07BB $01E5 $01E6 $0100 $0100 $0100
.dw $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100
.dw $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100
.dw $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100
.dw $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100 $0100


.ends